## libreoffice 7.5.4~rc2

=== debian/changelog ===
libreoffice (4:7.5.4~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - don't remove tabviewbar.ui in -impress-nogui (closes: #1028290)

 -- Rene Engelhard <rene@debian.org>  Wed, 31 May 2023 19:14:16 +0200

libreoffice (4:7.5.4~rc1-4) experimental; urgency=medium

  * debian/rules:
    - fix duplicate ppc64el in clang (>= 8.0.1) build-dep causing it not
      ending up in the .dsc alltogether.
      Introduce new OOO_{,NO_}CLANG_ARCHS.
    - use the same architecture !-list for llvm, too

 -- Rene Engelhard <rene@debian.org>  Thu, 18 May 2023 21:34:31 +0200

libreoffice (4:7.5.4~rc1-3) experimental; urgency=medium

  * debian/rules:
    - micro-optimize freetype build-dep after the clang change in
      4:7.5.4~rc1-1:
      use OOO_LE_ARCHS for >= 2.8.1 and add any BE arch for >= 2.2.0
    - oops, set PACKAGE_GEN=y per default

 -- Rene Engelhard <rene@debian.org>  Thu, 18 May 2023 18:44:02 +0200

libreoffice (4:7.5.4~rc1-2) experimental; urgency=medium

  * oops, actually include tarballs/ 

 -- Rene Engelhard <rene@debian.org>  Thu, 18 May 2023 11:23:13 +0200

libreoffice (4:7.5.4~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules, debian/control.in:
    - move share/config/soffice.cfg/simpress/{layoutlist,objectlist,styles}.xml
      and share/config/modules/soffice.cfg/simpress/ui/sidebarslidebackground.ui
      from -impress to -draw since without them Draw doesn't start anymore
  * debian/control.postgresql.in:
    - depend on libreoffice-core-nogui | libreoffice-core (like the other
      -sdbc-*) (closes: #1034792)
  * debian/rules, debian/control*in:
    - don't package the gen vcl "plugin" on alpha and ia64
    - make libreoffice-core *depend* on -gtk3/-qt5/-kf5/-qt6 on alpha and
      ia64
    - thus we don't (need to) build skia on architectures not building gen,
      conditionalizing the clang build-dep (closes: #963109)

 -- Rene Engelhard <rene@debian.org>  Wed, 17 May 2023 18:31:27 +0200

libreoffice (4:7.5.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate 
    - fixes CVE-2023-2555 ("Remote documents loaded without prompt via IFrame")

 -- Rene Engelhard <rene@debian.org>  Sat, 29 Apr 2023 08:14:19 +0200

libreoffice (4:7.5.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules, debian/tests/*: don't fail if ulimit -c unlimited fails 
    (like in ci.d.n infrastructure after the bookworm upgrade...)

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Apr 2023 21:45:01 +0200
