=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>
Build-Depends: autoconf,
               automake,
               bc,
               binutils (>= 2.37-9) [ppc64],
               bison,
               bzip2,
               clang (>= 1:11) [armel],
               clang (>= 1:12) [ppc64el],
               clang (>= 1:8.0.1) [!alpha !hppa !ia64 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64],
               coinor-libcoinmp-dev (>= 1.8.3-3),
               coinor-libcoinutils-dev,
               debhelper-compat (= 12),
               default-jdk (>= 2:1.9) [!hppa !hurd-i386 !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !powerpcspe !s390 !sparc] <!nojava>,
               dh-python <!nopython>,
               dpkg-dev (>= 1.20.1),
               firebird-dev [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc],
               flex,
               fontforge-nox | fontforge,
               gobject-introspection,
               gperf,
               java-common <!nojava>,
               javahelper <!nojava>,
               junit4 [amd64 arm64] <!nocheck !nojava>,
               libabsl-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sparc sparc64],
               libabw-dev (<< 0.2~),
               libabw-dev (>= 0.1),
               libarchive-zip-perl [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libavahi-client-dev,
               libbase-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libbluetooth-dev [linux-any],
               libboost-date-time-dev (>= 1.71),
               libboost-dev (>= 1.71),
               libboost-filesystem-dev (>= 1.71),
               libboost-iostreams-dev (>= 1.71),
               libboost-locale-dev (>= 1.71),
               libbox2d-dev,
               libbsh-java <!nojava>,
               libcairo2-dev,
               libcdr-dev (<< 0.2~),
               libcdr-dev (>= 0.1),
               libclucene-dev,
               libcups2-dev,
               libcurl4-gnutls-dev (>= 7.68),
               libdbus-1-dev,
               libdconf-dev,
               libdragonbox-dev (>= 1.1.3),
               libe-book-dev (<< 0.2~),
               libe-book-dev (>= 0.1),
               libebook1.2-dev,
               libeot-dev,
               libepoxy-dev,
               libepubgen-dev (<< 0.2~),
               libepubgen-dev (>= 0.1.0),
               libetonyek-dev,
               libetonyek-dev (<< 0.2~),
               libexpat1-dev,
               libexttextcat-dev,
               libfixmath-dev,
               libflute-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libfontconfig-dev,
               libfonts-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libformula-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libfreehand-dev (<< 0.2~),
               libfreehand-dev (>= 0.1),
               libfreetype-dev (>= 2.2.0) [hppa m68k mips mips64 powerpc powerpcspe ppc64 s390 s390x sparc sparc64 alpha ia64],
               libfreetype-dev (>= 2.8.1) [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 loong64 mipsel mips64el ppc64el riscv64],
               libgirepository1.0-dev,
               libgl-dev,
               libglib2.0-dev,
               libglm-dev,
               libgpg-error-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.14),
               libgraphite2-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libharfbuzz-dev (>= 5.1.0),
               libhsqldb1.8.0-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libhunspell-dev,
               libhyphen-dev,
               libice-dev,
               libicu-dev,
               libjpeg-dev,
               libkf5config-dev,
               libkf5coreaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5windowsystem-dev,
               liblangtag-dev,
               liblayout-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               liblcms2-dev,
               libldap-dev,
               libloader-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               liblockfile-bin,
               liblpsolve55-dev,
               libmariadb-dev,
               libmdds-dev (<< 2.1~),
               libmdds-dev (>= 2.0),
               libmspub-dev (<< 0.2~),
               libmspub-dev (>= 0.1),
               libmwaw-dev (<< 0.4~),
               libmwaw-dev (>= 0.3.1),
               libmythes-dev (>= 2:1.2),
               libnspr4-dev,
               libnss3-dev,
               libnumbertext-dev (>= 1.0.6),
               libodfgen-dev (<< 0.2~),
               libodfgen-dev (>= 0.1),
               libopenjp2-7-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sparc sparc64],
               liborcus-dev (<< 0.18~),
               liborcus-dev (>= 0.17.2),
               libpagemaker-dev,
               libpagemaker-dev (<< 0.1~),
               libpentaho-reporting-flow-engine-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libpng-dev,
               libpoppler-cpp-dev,
               libpoppler-dev,
               libpoppler-private-dev,
               libpq-dev,
               libqt5x11extras5-dev,
               libqxp-dev,
               libqxp-dev (<< 0.1~),
               librdf0-dev,
               librepository-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               librevenge-dev,
               librevenge-dev (<< 0.1~),
               libsac-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libsane-dev,
               libserializer-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libsm-dev,
               libstaroffice-dev,
               libstaroffice-dev (<< 0.1~),
               libsuitesparse-dev,
               libtiff-dev,
               libvisio-dev (<< 0.2~),
               libvisio-dev (>= 0.1),
               libwebp-dev,
               libwpd-dev (<< 0.11~),
               libwpd-dev (>= 0.10),
               libwpg-dev (<< 0.4~),
               libwpg-dev (>= 0.3),
               libwps-dev (<< 0.5~),
               libwps-dev (>= 0.4),
               libx11-dev,
               libx11-xcb-dev,
               libxaw7-dev,
               libxcb-icccm4-dev,
               libxcb1-dev,
               libxext-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxml-java [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
               libxml2-dev,
               libxml2-utils,
               libxmlsec1-dev (>= 1.2.35),
               libxrandr-dev,
               libxrender-dev,
               libxslt1-dev,
               libxt-dev,
               libxtst-dev,
               libzmf-dev,
               libzmf-dev (<< 0.1~),
               libzxing-dev (>= 1.2.0),
               llvm [!alpha !hppa !ia64 !m68k !mips !mips64 !powerpc !powerpcspe !ppc64 !s390 !s390x !sparc !sparc64],
               lp-solve,
               maven-repo-helper,
               pkg-config,
               python3,
               python3-dev <!nopython>,
               python3-distutils <!nopython>,
               qmake6 (>= 6.2.1+dfsg-2),
               qt5-qmake,
               qt6-base-dev (>= 6.2.1+dfsg-2),
               qt6-base-dev-tools (>= 6.2.1+dfsg-2),
               qtbase5-dev,
               qtbase5-dev-tools,
               unixodbc-dev,
               unzip,
               x11proto-render-dev,
               xsltproc,
               zip,
               zlib1g-dev
Build-Depends-Arch: firebird3.0-server-core [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nocheck>,
                    fontconfig [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-crosextra-carlito [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-dejavu [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-hosny-amiri [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-liberation2 [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-linuxlibertine [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    fonts-noto-core [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gdb [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    ghostscript [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gpg [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gpg-agent [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    gpgconf [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    hunspell-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    hyphen-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    imagemagick [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libcppunit-dev (>= 1.15.1-4) [alpha amd64 arm64 ia64 loong64 mips64 ppc64 ppc64el riscv64 sparc64] <!nocheck>,
                    libcppunit-dev [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libe-book-dev (>= 0.1.2) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libetonyek-dev (>= 0.1.8) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libmwaw-dev (>= 0.3.21),
                    libnumbertext-data (>= 1.0.11) <!nocheck>,
                    libstaroffice-dev (>= 0.0.3) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    libwps-dev (>= 0.4.12) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    locales [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    poppler-data [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    pstoedit [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
                    python3-lxml [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck !nopython>
Build-Depends-Indep: ant [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
