## libreoffice 7.5.5~rc1

=== debian/changelog ===
libreoffice (4:7.5.5~rc1-2) experimental; urgency=medium

  * debian/rules:
    - actually enable cppunit also in the testtools/smoketest-only case
    - build some smoketest pre-requisites ourselves since they are not built
      even with module.allcheck (or .allbuild)
      in smoketest afterwards
    - build-depend on libcppunit-dev on all archs
    - clean up some make-check-only Build-Depends(-Arch)
    - also run the tests in pyuno since shipping a python3-uno which doesn't
      work is also bad
  * debian/rules, debian/tests/smoketest: run smoketest using make
    subsquentcheck in smoketest

 -- Rene Engelhard <rene@debian.org>  Sun, 02 Jul 2023 16:47:26 +0200

libreoffice (4:7.5.5~rc1-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/rules:
    - again run full make check on amd64/arm64/riscv64(!) (and armhf); make fatal
    - only run testtools' bridgetest and "smoketest" as smoketest on all
      architectures except amd64/amd64/riscv64/armhf

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Jul 2023 15:15:30 +0000

libreoffice (4:7.5.4-4) unstable; urgency=medium

  * debian/patches/adapt-for-new-carlito.diff: as name says; adapt one
    (and disable one for now since it has calculated values..) test which
    break with fonts-crosextra-carlito 20230309. Bump build-dependency.
    Revert all of this for bookworm-backports.

  * debian/rules:
    - use --disable-cve-tests on 32bit archs. Fails consistently there on one
      CVE which was a memory leak in tiff and a excpected failure here anyway.
      Fixed in tiff ages ago and we're not really supposed to test others' CVEs as
      we use external libs anyway
  * debian/rules, debian/control.in: 
    - recommend fonts-liberation+fonts-liberation-sans-narrow instead of both
      fonts-liberation and fonts-liberation2; keep old Recommends
      for bookworm-backports, thanks Fabian Greffrath for the MR. Make clear
      the Recommends is for fonts-liberation (>= 1:2) by adding that to the
      Recommends
    - change fonts-liberation2 Build-Depends/Recommends in -common to
      fonts-liberation (>= 1:2)

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jun 2023 06:21:52 +0200

libreoffice (4:7.5.4-3) unstable; urgency=medium

  * fix install-common target, don't try to move sidebarslidebackground.ui
    for -nogui (which doesn't exist yet at that time)

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Jun 2023 23:13:45 +0200

libreoffice (4:7.5.4-2) unstable; urgency=medium

  * debian/rules:
    - make all architectures' make check fatal again based on discussion
      on #debian-release (especially needed to prevent riscv64 entering
      the archive with miserably failing the tests) 
    - also enable the junit tests on all architectures

 -- Rene Engelhard <rene@debian.org>  Sat, 10 Jun 2023 17:36:26 +0200

libreoffice (4:7.5.4-1) unstable; urgency=medium

  * LibreOffice 7.5.4 final release (identical to rc2)

  * upload to unstable 

  * debian/rules:
    - give up and don't remove ui files anymore in nogui for now; planned
      to be changed to shared packages later

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Jun 2023 20:26:03 +0200
