=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                gperf,
                java-common <!nojava>,
                javahelper <!nojava>,
-               junit4 [amd64 arm64] <!nocheck !nojava>,
+               junit4 [amd64 arm64 riscv64 armhf] <!nocheck !nojava>,
                libabsl-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sparc sparc64],
                libabw-dev (<< 0.2~),
                libabw-dev (>= 0.1),
@@ -105,7 +105,7 @@
                libmspub-dev (<< 0.2~),
                libmspub-dev (>= 0.1),
                libmwaw-dev (<< 0.4~),
-               libmwaw-dev (>= 0.3.1),
+               libmwaw-dev (>= 0.3.21),
                libmythes-dev (>= 2:1.2),
                libnspr4-dev,
                libnss3-dev,
@@ -187,31 +187,17 @@
                zip,
                zlib1g-dev
 Build-Depends-Arch: firebird3.0-server-core [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nocheck>,
-                    fontconfig [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    fonts-crosextra-carlito [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    fonts-dejavu [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    fonts-hosny-amiri [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    fonts-liberation2 [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    fonts-linuxlibertine [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    fonts-noto-core [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    gdb [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    ghostscript [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    gpg [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    gpg-agent [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    gpgconf [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    hunspell-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    hyphen-en-us [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    imagemagick [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    libcppunit-dev (>= 1.15.1-4) [alpha amd64 arm64 ia64 loong64 mips64 ppc64 ppc64el riscv64 sparc64] <!nocheck>,
-                    libcppunit-dev [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    libe-book-dev (>= 0.1.2) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    libetonyek-dev (>= 0.1.8) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    libmwaw-dev (>= 0.3.21),
-                    libnumbertext-data (>= 1.0.11) <!nocheck>,
-                    libstaroffice-dev (>= 0.0.3) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    libwps-dev (>= 0.4.12) [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    locales [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    poppler-data [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    pstoedit [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck>,
-                    python3-lxml [!armel !kfreebsd-amd64 !kfreebsd-i386 !mips !mipsel !mips64el !s390x] <!nocheck !nopython>
-Build-Depends-Indep: ant [!hppa !kfreebsd-amd64 !kfreebsd-i386 !loong64 !mips64 !powerpcspe !s390 !sparc] <!nojava>,
+                    fontconfig [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    fonts-crosextra-carlito (>= 20230309) [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    fonts-dejavu [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    fonts-hosny-amiri [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    fonts-liberation (>= 1:2) [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    fonts-linuxlibertine [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    fonts-noto-core [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    gdb [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    ghostscript [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    gpg [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    gpg-agent [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    gpgconf [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    hunspell-en-us [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
+                    hyphen-en-us [!alpha !armel !hppa !i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !loong64 !m68k !mips !mipsel !mips64 !mips64el !powerpc !powerpcspe !ppc64 !ppc64el !s390 !s390x !sparc !sparc64] <!nocheck>,
