=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,7 @@
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
-GIT_BRANCH=libreoffice-7-5-4
+GIT_BRANCH=libreoffice-7-5-5
 endif
 ifeq "$(USE_SOURCE_TARBALLS)" "y"
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
@@ -86,6 +86,9 @@
 # Default package configuration
 #
 OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sparc sparc64
+# riscv64 contained here since it's supposed to be added soonish and even considered
+# to be a release architecture in trixie
+DEBIAN_MAIN_ARCHITECTURES = amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64 s390x
 PATCHSET=$(DEB_VENDOR)
 BUILD_DEPS=\
     autoconf,\
@@ -252,16 +255,3 @@
     ENABLE_BLUETOOTH=n
   else
     ENABLE_BLUETOOTH=y
-    SYSTEM_STUFF += bluez
-  endif
-    ENABLE_PACKAGEKIT=n
-endif
-ENABLE_AVAHI=y
-ifeq "$(ENABLE_GUI)" "y"
-USE_GSTREAMER=y
-endif
-ENABLE_CURL=y
-CURL_SECTYPE=gnutls
-ENABLE_WEBDAV=y
-ifeq "$(ENABLE_WEBDAV)" "y"
-  ENABLE_CURL=y
