## libreoffice 7.5.5

=== debian/changelog ===
libreoffice (4:7.5.5-0ubuntu0.23.04.1~bpo22.04.1) jammy-backports; urgency=medium

  * Backport from lunar (LP: #2029130)
  * Disable GTK4 and QT6 support
  * Use internal xmlsec, graphite and harfbuzz to meat upstream requirements

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 12 Jul 2023 19:51:14 +0200

libreoffice (4:7.5.5-0ubuntu0.23.04.1) lunar; urgency=medium

  * New upstream release (LP: #2027671)

  [ Rene Engelhard ]
  * debian/rules:
    - give up and don't remove ui files anymore in nogui for now; planned
      to be changed to shared packages later

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 12 Jul 2023 19:51:14 +0200

libreoffice (4:7.5.4-0ubuntu0.23.04.1) lunar; urgency=medium

  * New upstream release (LP: #2022889)

  [ Rene Engelhard ]
  * debian/rules:
    - don't remove tabviewbar.ui in -impress-nogui

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 07 Jun 2023 12:12:01 +0200

libreoffice (4:7.5.3-0ubuntu0.23.04.1) lunar; urgency=medium

  * New upstream release (LP: #2017976)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 01 May 2023 17:12:14 +0200

libreoffice (4:7.5.3~rc2-2) UNRELEASED; urgency=medium

  * debian/rules, debian/control.in:
    - move share/config/soffice.cfg/simpress/{layoutlist,objectlist,styles}.xml
      and share/config/modules/soffice.cfg/simpress/ui/sidebarslidebackground.ui
      from -impress to -draw since without them Draw doesn't start anymore
  * debian/control.postgresql.in:
    - depend on libreoffice-core-nogui | libreoffice-core (like the other
      -sdbc-*) (closes: #1034792)

 -- Rene Engelhard <rene@debian.org>  Sun, 30 Apr 2023 14:29:34 +0200
