=== debian/rules ===
--- 
+++ 
@@ -68,11 +68,13 @@
 STAMP_DIR=debian/stampdir
 TARFILE_LOCATION=$(CURDIR)/tarballs
 export TARFILE_LOCATION
-USE_SOURCE_TARBALLS=y
+USE_SOURCE_TARBALLS=n
 USE_GIT_TARBALLS=n
 ifeq "$(USE_GIT_TARBALLS)" "y"
 GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
-lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
+# bootstraping this from the source tree is breaking get-orig-source
+#lo_sources_ver=$(shell grep AC_INIT $(SOURCE_TREE)/configure.ac | grep documentfoundation | cut -d, -f2 | sed -e 's,\[,,' -e 's,\],,')
+lo_sources_ver=7.5.5.2
 # NOT in proper libreoffice-3-6 branch
 # use ./g checkout -b tag-libreoffice-3.6.2.1 libreoffice-3.6.2.1
 GIT_TAG=libreoffice-$(lo_sources_ver)
@@ -82,13 +84,17 @@
 lo_sources_ver=$(shell cat $(CURDIR)/sources.ver | cut -d= -f2)
 endif
 
+ifeq "$(USE_GIT_TARBALLS)" "y"
+YARU_GIT_TAG=2023-07-04
+endif
+
+YARU_ACCENTS = bark blue magenta olive prussiangreen purple red sage viridian mate
+YARU_IMAGES = yaru yaru_svg $(foreach y, $(YARU_ACCENTS),yaru_$(y) yaru_$(y)_svg)
+
 #########
 # Default package configuration
 #
-OOO_ARCHS = alpha amd64 arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sparc sparc64
-# riscv64 contained here since it's supposed to be added soonish and even considered
-# to be a release architecture in trixie
-DEBIAN_MAIN_ARCHITECTURES = amd64 arm64 armel armhf i386 mipsel mips64el ppc64el riscv64 s390x
+OOO_ARCHS = amd64 arm64 armhf ppc64el riscv64 s390x
 PATCHSET=$(DEB_VENDOR)
 BUILD_DEPS=\
     autoconf,\
@@ -204,7 +210,7 @@
     KF5_QT5_DEPENDS := libreoffice-qt5 (= $${binary:Version})
   endif
 endif
-ENABLE_QT6=y
+ENABLE_QT6=n
 # for moc move to /usr/lib/qt6/libxexec
 QT6_MINVER= (>= 6.2.1+dfsg-2)
 # https://www.debian.org/doc/debian-policy/ says this is not defined and must
@@ -255,3 +261,5 @@
     ENABLE_BLUETOOTH=n
   else
     ENABLE_BLUETOOTH=y
+    SYSTEM_STUFF += bluez
+  endif
